{ config, lib, pkgs, ... }:
let
  domain = "md.ingolf-wagner.de";
in
{

  services.nginx.enable = true;
  services.nginx.virtualHosts.hedgedoc = {
    enableACME = true;
    forceSSL = true;
    serverName = domain;
    locations."/" = {
      proxyPass = "http://localhost:${toString config.services.hedgedoc.configuration.port}";
      proxyWebsockets = true;
    };
  };

  services.hedgedoc = {
    enable = true;
    configuration = {
      db = {
        dialect = "sqlite";
        storage = "/var/lib/hedgedoc/db.sqlite";
        useCDN = false;
      };
      allowFreeURL = true;
      domain = domain;
      port = 3091;
      useCDN = false;
    };
  };

}

